Package Scientific :: Package Geometry :: Module Objects3D :: Class Circle

[frames] | no frames]

# Class Circle

    GeometricalObject3D --+
                          |
                         Circle

Circle

Instance Methods

__init__(self, center, normal, radius) |

`float` or `NoneType`

volume(self) Returns: the volume of the object. |

Inherited from `GeometricalObject3D`: `distanceFrom`, `hasPoint`, `intersectWith`

Method Details

### __init__(self, center, normal, radius)
(Constructor)

Parameters:
  - `center` (Scientific.Geometry.Vector) - the location of the center
  - `normal` (Scientific.Geometry.Vector) - a direction nornal to the plane of the circle
  - `radius` (`float`) - the radius of the circle

### volume(self)

Returns: `float` or `NoneType`
  the volume of the object. The result is `None` for unbounded objects and zero for lower-dimensional objects.
Overrides: GeometricalObject3D.volume
  (inherited documentation)